Bug 4302 - broken Russian translation for [User id not found]
: broken Russian translation for [User id not found]
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnupg)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-05 22:39 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-05 22:39:05
В русской локализации (ru_RU.KOI8-R) в выводе gpg --list-keys -v текст [User id
not found] выводится в виде:

[User ID \xee\xc5 \xce\xc1\xca\xc4\xc5\xce]

В ru_RU.UTF-8 всё-таки получается [User ID Не найден], что тоже не совсем
правильно - большая буква там явно не нужна.
------- Comment #1 From 2004-06-07 18:30:10 -------
Как это можно воспроизвести?
------- Comment #2 From 2004-06-07 18:41:51 -------
$ LC_ALL=ru_RU.KOI8-R LANGUAGE=ru gpg --list-keys -v ldv@altlinux.org
pub  1024D/C1E23429 2001-03-06 Dmitry V. Levin <ldv@altlinux.org>
sig 3       EAC91CA0 2002-05-15   ALT Security Team <security@alt-linux.org>
sig 3       C1E23429 2002-05-15   Dmitry V. Levin <ldv@altlinux.org>
sig 2       C8941ACC 2003-04-03   [User ID \xee\xc5 \xce\xc1\xca\xc4\xc5\xce]
...

(нужно иметь неполный keyring)
------- Comment #3 From 2004-06-07 18:46:11 -------
Так гарантированно воспроизводится:
env -i LC_ALL=ru_RU.KOI8-R gpg --homedir=/usr/lib/alt-gpgkeys --list-keys -v
nidd@altlinux.ru
------- Comment #4 From 2004-08-02 21:18:29 -------
Fixed in 1.2.5-alt1.